#include <iostream>
#include <cstdlib>
#include <algorithm>
using namespace std;

int main()
{
    int n;
    cin>>n;
    long long int x[n],y[n];
    long long int razX=0,razY=0;
    for(int i=0;i<n;i++)
    {
       cin>>x[i]>>y[i];
    }
    sort(x,x+n);
    sort(y,y+n);
    for(int i=0;i<n;i++)
    {
        razX+=abs(x[i]-(i+1));
        razY+=abs(y[i]-(i+1));
    }
    cout<<abs(razX)+abs(razY);
    
    
    return 0;
}